Contenu | Rechercher | Menus

Annonce

Les adresses laposte.net ne permettent pas de recevoir nos emails. Vous êtes invité à changer d'adresse dans vos paramètres de compte à votre prochaine connexion.

Ubuntu 16.04 LTS
Commandez vos DVD et clés USB Ubuntu-fr !

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

#1 Le 02/02/2006, à 22:03

nabs

pb de developpement avec gtk

Salut a tous,

j'ai installé la ubuntu 5.10 ya pas tré longtemps, elle me plait beaucoup cependant je dois réaliser un projet dans lequel je dois faire développement d'interfaces graphiques en c a l'aide des librairies gtk. il me semble l'avoir installé correctement (par synaptic et ligne de commande), je retrouve bien tous les fichiers de la bibliothèque dans le repertoire "/usr/include/gtk-1.2". j'ai également installé la version 2. mais voila, lorsque je compile mon fichier .c en tapant la bonne instruction suivant un tuto bien expliké, j'ai des erreurs du type "gtk/gtk.h fichier ou repertoire non reconnu" et ceci avecc quasiment tous les fichiers de la librairie.
Si quelqu'un avait la reponse a cela, ca serait simpa de me la donner.
merci a tous.

#2 Le 03/02/2006, à 08:30

thx1138

Re : pb de developpement avec gtk

nabs a écrit :

[...]Si quelqu'un avait la reponse a cela, ca serait simpa de me la donner.
merci a tous.

Si tu avais des indices à nous donner, ce serait sympa aussi.

Du style :
- quels sont les paquets de développement gtk que tu as installé ?
- quels sont les fichiers d'en-têtes que tu utilises (à part gtk/gtk.h) ?
- quelles sont les commandes que tu as exécutées pour compiler ton programme ?


They did not know it was impossible, so they did it - Mark Twain

Hors ligne

#3 Le 03/02/2006, à 09:56

nabs

Re : pb de developpement avec gtk

alors concernant l'installation je l'ai faite par ligne de commande "apt-get install gtk-1.2" et "apt-get install gtk-2.0" . je retrouve bien les repertoires gtk1.2 et gtk2.0 dans /usr/include.

dans mon programme je fais un "#include<gtk/gtk.h>".
quant a la commande de compilation c'est la suivante : "gcc -o fichier fichier.c 'gtk-config --cflags --clibs'"

#4 Le 03/02/2006, à 15:04

ZeBob

Re : pb de developpement avec gtk

c'est pas les libgtk***dev qu'il te faudrait plutot ?

Hors ligne

#5 Le 03/02/2006, à 22:09

kitone

Re : pb de developpement avec gtk

nabs a écrit :

dans mon programme je fais un "#include<gtk/gtk.h>".
quant a la commande de compilation c'est la suivante : "gcc -o fichier fichier.c 'gtk-config --cflags --clibs'"

salut,
il faut installer les lib dev, ensuite il y a une erreur dans ta ligne de compilation...si tu veux utiliser GTK+2.x il ne faut plus utiliser gtk-config mais pkg-config gtk+-2.0.

voir ici : http://www.gtk-fr.org/wakka.php?wiki=InstallerGtk

http://www.gtk-fr.org

a+
kitone

#6 Le 06/02/2006, à 15:57

nabs

Re : pb de developpement avec gtk

Salut tout le monde,

merci pour vos reponses les gars. J'ai pu résoudre le pb, ct bel et bien la commande que je saisissait pour  compiler mon prog. donc merci pour la commande kitone et encore merci a tous pour votre aide.